| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# INTupleItem Class Reference

`#include <GaudiKernel/INTuple.h>`

Inheritance diagram for INTupleItem:

[legend]
List of all members.

## Detailed Description

NTuple interface class definition.

Definition of the interface to an Ntuple class beeing a sequence(=Item) of data entries.

Author:
  M.Frank

Definition at line 27 of file INTuple.h.

## Public Member Functions
virtual | ~INTupleItem ()
| destructor
virtual void | release ()=0
| Destruct object.
virtual const std::type_info & | typeID () const=0
| Compiler type ID.
virtual const std::string | typeName () const=0
| Proper type name of the object.
virtual const void * | buffer () const=0
| Access data buffer (CONST).
virtual bool | hasIndex () const=0
| Is the tuple have an index item?
virtual const std::string & | index () const=0
| Access the index _Item.
virtual const std::string & | name () const=0
| Access _Item name.
virtual const long | type () const=0
| Type information of the item.
virtual const long | length () const=0
| Access the buffer length.
virtual void | reset ()=0
| Reset column.
virtual long | ndim () const=0
| Dimension.
virtual long | dim (long i) const =0
| Access individual dimensions.
virtual long | size () const=0
| Size of entire object.
virtual long | filled () const=0
| Number of items filled.
virtual INTupleItem * | indexItem ()=0
| Pointer to index column (if present, 0 else).
virtual const INTupleItem * | indexItem () const=0
| Pointer to index column (if present, 0 else) (CONST).
virtual INTuple * | tuple ()=0
| NTuple the item belongs to.
## Protected Member Functions
virtual void | setType (long typ)=0
| Set the properties of the INTupleItem.

## Constructor & Destructor Documentation

virtual INTupleItem::~INTupleItem | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 33 of file INTuple.h.

    00033 { }

## Member Function Documentation

virtual void INTupleItem::setType | ( | long | typ | ) | `[protected, pure virtual]`

Set the properties of the INTupleItem.

Implemented in NTuple::_DataImp< TYP >.

virtual void INTupleItem::release | ( |  | ) | `[pure virtual]`

Destruct object.

Implemented in NTuple::_DataImp< TYP >.

virtual const std::type_info& INTupleItem::typeID | ( |  | ) | const`[pure virtual]`

Compiler type ID.

Implemented in NTuple::_DataImp< TYP >.

virtual const std::string INTupleItem::typeName | ( |  | ) | const`[pure virtual]`

Proper type name of the object.

Implemented in NTuple::_DataImp< TYP >.

Referenced by CollectionCloneAlg::checkInput(), and PoolDbNTupleCnv::createRep().

virtual const void* INTupleItem::buffer | ( |  | ) | const`[pure virtual]`

Access data buffer (CONST).

Implemented in NTuple::_DataImp< TYP >.

Referenced by NTuple::_DataImp< TYP >::filled(), CollectionCloneAlg::mergeEntries(), NTuple::_Matrix< TYP >::operator=(), NTuple::_Array< TYP >::operator=(), and TagCollectionStream::writeObjects().

virtual bool INTupleItem::hasIndex | ( |  | ) | const`[pure virtual]`

Is the tuple have an index item?

Implemented in NTuple::_DataImp< TYP >.

Referenced by _print(), CollectionCloneAlg::checkInput(), createItem(), and PoolDbNTupleCnv::createRep().

virtual const std::string& INTupleItem::index | ( |  | ) | const`[pure virtual]`

Access the index _Item.

Implemented in NTuple::_DataImp< TYP >.

Referenced by CollectionCloneAlg::checkInput(), and PoolDbNTupleCnv::createRep().

virtual const std::string& INTupleItem::name | ( |  | ) | const`[pure virtual]`

Access _Item name.

Implemented in NTuple::_DataImp< TYP >.

Referenced by _print(), NTuple::_Matrix< TYP >::create(), NTuple::_Array< TYP >::create(), NTuple::_Item< TYP >::create(), createItem(), and PoolDbNTupleCnv::createRep().

virtual const long INTupleItem::type | ( |  | ) | const`[pure virtual]`

Type information of the item.

Implemented in NTuple::_DataImp< TYP >.

Referenced by CollectionCloneAlg::checkInput(), createItem(), and PoolDbNTupleCnv::createRep().

virtual const long INTupleItem::length | ( |  | ) | const`[pure virtual]`

Access the buffer length.

Implemented in NTuple::_DataImp< TYP >.

Referenced by PoolDbNTupleCnv::createRep(), NTuple::_Matrix< TYP >::operator=(), and NTuple::_Array< TYP >::operator=().

virtual void INTupleItem::reset | ( |  | ) | `[pure virtual]`

Reset column.

Implemented in NTuple::_DataImp< TYP >.

virtual long INTupleItem::ndim | ( |  | ) | const`[pure virtual]`

Dimension.

Implemented in NTuple::_DataImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

Referenced by _print(), CollectionCloneAlg::checkInput(), createItem(), and PoolDbNTupleCnv::createRep().

virtual long INTupleItem::dim | ( | long | i | ) | const`[pure virtual]`

Access individual dimensions.

Implemented in NTuple::_DataImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

Referenced by CollectionCloneAlg::checkInput(), createItem(), and PoolDbNTupleCnv::createRep().

virtual long INTupleItem::size | ( |  | ) | const`[pure virtual]`

Size of entire object.

Implemented in NTuple::_DataImp< TYP >, NTuple::_ItemImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

virtual long INTupleItem::filled | ( |  | ) | const`[pure virtual]`

Number of items filled.

Implemented in NTuple::_DataImp< TYP >.

virtual INTupleItem* INTupleItem::indexItem | ( |  | ) | `[pure virtual]`

Pointer to index column (if present, 0 else).

Implemented in NTuple::_DataImp< TYP >.

Referenced by createItem(), and PoolDbNTupleCnv::createRep().

virtual const INTupleItem* INTupleItem::indexItem | ( |  | ) | const`[pure virtual]`

Pointer to index column (if present, 0 else) (CONST).

Implemented in NTuple::_DataImp< TYP >.

virtual INTuple* INTupleItem::tuple | ( |  | ) | `[pure virtual]`

NTuple the item belongs to.

Implemented in NTuple::_DataImp< TYP >.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/INTuple.h